package com.ssj.service.weixin.library.service;

import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ssj.bean.weixin.libmy.domain.TbLibBookBase;
import com.ssj.framework.core.common.service.BaseService;


public interface IBookBaseService extends BaseService<TbLibBookBase, String> {

	TbLibBookBase findByIsbn13(String isbn13);

	List<TbLibBookBase> getBaseCsList(String isbn13);

	TbLibBookBase getBookcs(String isbn13, String csisbn);

	Page<Map<String, Object>> findForPageList(Map<String, Object> params, Pageable initPage);

	TbLibBookBase findInsertData(String isbn13);

	List<Map<String, Object>> findRecommendBook(int grTotal, int pageSize);

}
